com.google.gwt.layout.client

## Class LayoutImpl

- java.lang.Object
- - com.google.gwt.layout.client.LayoutImpl

- Direct Known Subclasses:
    LayoutImplIE8

      class LayoutImpl
      extends java.lang.Object

  Default implementation, which works with all browsers except for IE6. It uses only the "top", "left", "bottom", "right", "width", and "height" CSS properties. Note: This implementation class has state, so `Layout` must create a new instance for each layout-parent.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected DivElement` | `relativeRuler`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LayoutImpl()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Element` | `attachChild(Element parent, Element child, Element before)`
    `protected static DivElement` | `createRuler(Style.Unit widthUnit, Style.Unit heightUnit)`
    `void` | `fillParent(Element elem)`
    `void` | `finalizeLayout(Element parent)`
    `double` | `getUnitSizeInPixels(Element parent, Style.Unit unit, boolean vertical)`
    `void` | `initParent(Element parent)`
    `void` | `layout(Layout.Layer layer)`
    `void` | `onAttach(Element parent)`
    `void` | `onDetach(Element parent)`
    `void` | `removeChild(Element container, Element child)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### relativeRuler

          protected DivElement relativeRuler

  - ### Constructor Detail

    - #### LayoutImpl

          LayoutImpl()

  - ### Method Detail

    - #### createRuler

          protected static DivElement createRuler(Style.Unit widthUnit,
                                                  Style.Unit heightUnit)

    - #### attachChild

          public Element attachChild(Element parent,
                                     Element child,
                                     Element before)

    - #### fillParent

          public void fillParent(Element elem)

    - #### finalizeLayout

          public void finalizeLayout(Element parent)

      Parameters:
        `parent` - the parent element

    - #### getUnitSizeInPixels

          public double getUnitSizeInPixels(Element parent,
                                            Style.Unit unit,
                                            boolean vertical)

    - #### initParent

          public void initParent(Element parent)

    - #### layout

          public void layout(Layout.Layer layer)

    - #### onAttach

          public void onAttach(Element parent)

    - #### onDetach

          public void onDetach(Element parent)

    - #### removeChild

          public void removeChild(Element container,
                                  Element child)